with Lists_Generic;
with Ada.Strings.Unbounded;
with Ada.Streams;

package Lista is

   package ASU renames Ada.Strings.Unbounded;
   package AS renames Ada.Streams;

   type Int_32 is mod 2**32;

   type Element is record
      NSec: Int_32;
      Paq: AS.Stream_Element_Array(1..1012);
      Len: AS.Stream_Element_Offset;
   end record;

   function Image (Elem: Element)  return String;

   package L is new Lists_Generic
     (Element => Element,
      Image => Image);


end Lista;



